:root {
  --red: #ef2d35;
  --blue: #1890FF;
  --green: #49B785;
  --gray: #D9D9D9;
  --dark-gray: #485156;
  --panel-bg: #fff;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body {
  overflow: hidden;
  scrollbar-color: var(--blue) rgb(240, 244, 247);
  scrollbar-width: thin;
}

input::placeholder {
  color: #999 !important;
}

::-webkit-scrollbar-button {
  width: 15px;
  height: 0px;
}
::-webkit-scrollbar-track {
  background-color: rgb(240, 244, 247);
}
::-webkit-scrollbar-thumb {
  -webkit-border-radius: 5px;
  border-radius: 5px;
  background-color: rgba(145, 194, 246, 0.2);
}
::-webkit-scrollbar-thumb:hover {
  background-color: var(--blue);
}
::-webkit-resizer {
  width: 15px;
  height: 0px;
}
::-webkit-scrollbar {
  width: 15px;
}

.uk-modal-dialog .uk-button {
  border-radius: 3px;
}

.uk-modal-header {
  padding: 5px 20px;
  max-height: 40px;
}

.uk-modal-header h3 {
  font-size: 1.3em;
}

[uk-icon="icon: search"] {
  cursor: pointer;
  pointer-events: auto !important;
  color: #ddd;
  transition: .3s;
}

[uk-icon="icon: search"]:hover {
  color: var(--blue);
  transform: scale(1.2);
}

.uk-modal-header {
  padding: 5px 20px;
  max-height: 40px;
}

.uk-modal-header h3 {
  font-size: 1.3em;
}

.modal-close-custom:hover {
  color: var(--red);
}

.uk-close-custom {
  height: 40px;
  top: 0px;
  right: 37px;
  padding: 0px;
  background: transparent;
}

.uk-close-custom:hover {
  color: var(--red);
}

.uk-tab>*>a {
  text-transform: capitalize;
  font-size: 9pt;
}

.button-switch {
  transition: 0.3s;
}

.button-switch.pressed {
  background: #d5d5d5;
}

#buttonBack {
  border: none;
}

#buttonBack:hover {
  color: var(--red) !important;
}

.view_form_body {
  width: 100%;
  height: calc(100vh - 40px);
  margin: 0;
  padding: 0;
  background: var(--panel-bg);
  overflow: hidden;
}

.menu-button {
  display: flex;
  align-items: center;
  justify-content: flex-start !important;
  width: 100%;
  height: 50px;
  margin: 0;
  padding: 0 30px;
  border: none;
  font-size: 16px;
  transition: 0.3s ease 0s;
}

.menu-button .button-name {
  margin: 0 10px;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  width: inherit;
  text-align: initial;
}

.menu-button svg {
  fill: #222;
  transition: 0.3s ease 0s;
}

.menu-button.selected,
.menu-button:hover,
.locale_selector_container select:hover ~.menu-button {
  background: #489df3;
  color: #fff !important;
  border: none;
}

.menu-button.selected svg,
.menu-button:hover svg,
.locale_selector_container select:hover ~.menu-button svg {
  fill: #fff;
}

.menu-button.sub-button {
  padding-left: 60px;
  transition: 0.3s ease 0s;
}

.menu-button.sub-button::before {
  content: "";
  display: block;
  margin-right: 10px;
  width: 8px;
  height: 8px;
  background: #999;
  border-radius: 8px;
  transition: 0.3s ease 0s;
}

.menu-button.sub-button.selected,
.menu-button.sub-button:hover {
  padding-left: 38px;
}

.menu-button.sub-button.selected::before,
.menu-button.sub-button:hover.sub-button::before {
  background: #fff;
  width: 30px;
}

.menu-content.collapse .menu-button {
  padding: 0 12px;
}

.menu-content.collapse .menu-button .button-name {
  display: none;
}

.button_not_border {
  border-color: transparent;
  transition: .5s;
}

.button_not_border:hover {
  border-color: #c4c4c4;
}

#formPlayerContract,
#formPlayerProfile {
  padding: 30px;
  background: #fff;
  border-radius: 6px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}

.button_form_action {
  width: 100%;
  border-radius: 3px;
  transition: .3s;
}

.button_form_action.green {
  background: var(--green);
  color: #fff !important;
  border-color: var(--green);
}

.button_form_action.blue {
  background: var(--blue);
  color: #fff !important;
  border-color: var(--blue);
}

.button_form_action.green:hover,
.button_form_action.blue:hover {
  opacity: 0.8;
}

#buttonRefresh,
#buttonRefreshRegList,
#buttonRefreshBoard {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 30px !important;
}

.filter_menu_container .menu_item {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  height: 50px;
  margin: 0;
  padding: 0 30px;
  border: none;
  font-size: 16px;
  transition: 0.3s ease 0s;
  cursor: pointer;
  position: relative;
}

.filter_menu_container .menu_item .menu_name {
  position: absolute;
  margin: 0 10px;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  width: inherit;
  text-align: initial;
  transition: 0.3s ease 0s;
}

.filter_menu_container .menu_item svg {
  fill: #222;
  transition: 0.3s ease 0s;
}

.filter_menu_container .menu_item .menu_count {
  color: #666;
  font-size: 14px;
  transition: 0.3s ease 0s;
}

.filter_menu_container .menu_item.selected,
.filter_menu_container .menu_item:hover {
  background: #489df3;
}

.filter_menu_container .menu_item.selected svg,
.filter_menu_container .menu_item:hover svg {
  fill: #fff;
}

.filter_menu_container .menu_item.selected .menu_name,
.filter_menu_container .menu_item.selected .menu_count,
.filter_menu_container .menu_item:hover .menu_name,
.filter_menu_container .menu_item:hover .menu_count {
  color: #fff;
}

.filter_menu_container.collapse .menu_item {
  padding: 0 12px;
}

.filter_menu_container.collapse .menu_item .menu_name {
  opacity: 0;
  transform: translate(-100%, 0);
}

.filter_menu_container.collapse .menu_item .menu_count {
  position: absolute;
  right: 0;
  top: 5px;
  background: #999;
  color: #fff;
  font-size: 10px;
  border-radius: 6px;
  padding: 1px 3px;
}

.filter_menu_container.collapse .menu_item .menu_count.isnew {
  background: var(--red);
}
